"""
Base interfaces and abstract classes for AI generation providers in the Agentle framework.

This module defines the core abstractions used by all provider implementations in Agentle.
It contains the base classes and interfaces that establish the contract between the
framework and specific provider implementations (like Google, OpenAI, Anthropic, etc.).

These base classes ensure that all providers adhere to the same interface, enabling
the framework to work with any provider implementation interchangeably while maintaining
consistent behavior and error handling.
"""

from .generation_provider import GenerationProvider

__all__ = ["GenerationProvider"]
