"""
Model Context Protocol (MCP) Package

This package provides a comprehensive implementation of the Model Context Protocol,
a communication framework designed for AI models to interact with external tools,
resources, and services. MCP enables models to access contextual information and
execute operations in a standardized way.

Key components include:
- servers: Server implementations for MCP communication
- sampling: Classes for model sampling and completion requests
- errors: Error handling and error codes
- tools: Tool definitions and implementations
- resources: Resource management utilities
- prompts: Prompt templates and utilities
- models: Data models used throughout the MCP implementation
"""
