"""
MCP Models Package.

This package provides model classes that represent core data structures used in the
Model Control Protocol (MCP) system. These models define the schema for various
components including:

- Content types (text, images)
- Resource representations
- Tool call results
- Annotations and metadata

The models use Pydantic (via rsb.models) for validation and serialization, ensuring
type safety and consistent data structures throughout the MCP ecosystem.
"""
